OrcProto.DecimalStatistics.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.DecimalStatistics.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>
      - - org.apache.orc.OrcProto.DecimalStatistics.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.DecimalStatisticsOrBuilder
  Enclosing class:
    OrcProto.DecimalStatistics

      public static final class OrcProto.DecimalStatistics.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>
      implements OrcProto.DecimalStatisticsOrBuilder

  Protobuf type `orc.proto.DecimalStatistics`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.DecimalStatistics` | `build()`
    `OrcProto.DecimalStatistics` | `buildPartial()`
    `OrcProto.DecimalStatistics.Builder` | `clear()`
    `OrcProto.DecimalStatistics.Builder` | `clearMaximum()` `optional string maximum = 2;`
    `OrcProto.DecimalStatistics.Builder` | `clearMinimum()` `optional string minimum = 1;`
    `OrcProto.DecimalStatistics.Builder` | `clearSum()` `optional string sum = 3;`
    `OrcProto.DecimalStatistics.Builder` | `clone()`
    `OrcProto.DecimalStatistics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `String` | `getMaximum()` `optional string maximum = 2;`
    `com.google.protobuf.ByteString` | `getMaximumBytes()` `optional string maximum = 2;`
    `String` | `getMinimum()` `optional string minimum = 1;`
    `com.google.protobuf.ByteString` | `getMinimumBytes()` `optional string minimum = 1;`
    `String` | `getSum()` `optional string sum = 3;`
    `com.google.protobuf.ByteString` | `getSumBytes()` `optional string sum = 3;`
    `boolean` | `hasMaximum()` `optional string maximum = 2;`
    `boolean` | `hasMinimum()` `optional string minimum = 1;`
    `boolean` | `hasSum()` `optional string sum = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.DecimalStatistics.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.DecimalStatistics.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.DecimalStatistics.Builder` | `mergeFrom(OrcProto.DecimalStatistics other)`
    `OrcProto.DecimalStatistics.Builder` | `setMaximum(String value)` `optional string maximum = 2;`
    `OrcProto.DecimalStatistics.Builder` | `setMaximumBytes(com.google.protobuf.ByteString value)` `optional string maximum = 2;`
    `OrcProto.DecimalStatistics.Builder` | `setMinimum(String value)` `optional string minimum = 1;`
    `OrcProto.DecimalStatistics.Builder` | `setMinimumBytes(com.google.protobuf.ByteString value)` `optional string minimum = 1;`
    `OrcProto.DecimalStatistics.Builder` | `setSum(String value)` `optional string sum = 3;`
    `OrcProto.DecimalStatistics.Builder` | `setSumBytes(com.google.protobuf.ByteString value)` `optional string sum = 3;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>`

    - #### clear

          public OrcProto.DecimalStatistics.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>`

    - #### clone

          public OrcProto.DecimalStatistics.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.DecimalStatistics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.DecimalStatistics build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.DecimalStatistics buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.DecimalStatistics.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.DecimalStatistics.Builder>`

    - #### mergeFrom

          public OrcProto.DecimalStatistics.Builder mergeFrom(OrcProto.DecimalStatistics other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.DecimalStatistics.Builder>`

    - #### mergeFrom

          public OrcProto.DecimalStatistics.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.DecimalStatistics.Builder>`
      Throws:
        `IOException`

    - #### hasMinimum

          public boolean hasMinimum()

      `optional string minimum = 1;`
      Specified by:
        `hasMinimum` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### getMinimum

          public String getMinimum()

      `optional string minimum = 1;`
      Specified by:
        `getMinimum` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### getMinimumBytes

          public com.google.protobuf.ByteString getMinimumBytes()

      `optional string minimum = 1;`
      Specified by:
        `getMinimumBytes` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### setMinimum

          public OrcProto.DecimalStatistics.Builder setMinimum(String value)

      `optional string minimum = 1;`

    - #### clearMinimum

          public OrcProto.DecimalStatistics.Builder clearMinimum()

      `optional string minimum = 1;`

    - #### setMinimumBytes

          public OrcProto.DecimalStatistics.Builder setMinimumBytes(com.google.protobuf.ByteString value)

      `optional string minimum = 1;`

    - #### hasMaximum

          public boolean hasMaximum()

      `optional string maximum = 2;`
      Specified by:
        `hasMaximum` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### getMaximum

          public String getMaximum()

      `optional string maximum = 2;`
      Specified by:
        `getMaximum` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### getMaximumBytes

          public com.google.protobuf.ByteString getMaximumBytes()

      `optional string maximum = 2;`
      Specified by:
        `getMaximumBytes` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### setMaximum

          public OrcProto.DecimalStatistics.Builder setMaximum(String value)

      `optional string maximum = 2;`

    - #### clearMaximum

          public OrcProto.DecimalStatistics.Builder clearMaximum()

      `optional string maximum = 2;`

    - #### setMaximumBytes

          public OrcProto.DecimalStatistics.Builder setMaximumBytes(com.google.protobuf.ByteString value)

      `optional string maximum = 2;`

    - #### hasSum

          public boolean hasSum()

      `optional string sum = 3;`
      Specified by:
        `hasSum` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### getSum

          public String getSum()

      `optional string sum = 3;`
      Specified by:
        `getSum` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### getSumBytes

          public com.google.protobuf.ByteString getSumBytes()

      `optional string sum = 3;`
      Specified by:
        `getSumBytes` in interface `OrcProto.DecimalStatisticsOrBuilder`

    - #### setSum

          public OrcProto.DecimalStatistics.Builder setSum(String value)

      `optional string sum = 3;`

    - #### clearSum

          public OrcProto.DecimalStatistics.Builder clearSum()

      `optional string sum = 3;`

    - #### setSumBytes

          public OrcProto.DecimalStatistics.Builder setSumBytes(com.google.protobuf.ByteString value)

      `optional string sum = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.